# `abacusai.streaming_auth_token`

## Module Contents

### Classes

`StreamingAuthToken` | A streaming authentication token that is used to authenticate requests to append data to streaming datasets

class abacusai.streaming_auth_token.StreamingAuthToken(client, streamingToken=None, createdAt=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  A streaming authentication token that is used to authenticate requests to append data to streaming datasets

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - streamingToken (str) – The unique token used to authenticate requests

    - createdAt (str) – When the token was created

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict